List Attribute Types
curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/user-attribute-types \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/user-attribute-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/user-attribute-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"id": "<string>",
"app": {
"appId": "<string>"
},
"appUserProfile": {
"appId": "<string>",
"appUserProfileAttributeKey": "<string>"
},
"celExpression": {
"celExpression": "<string>",
"userProfileAttributeKey": "<string>"
},
"customAppUserProfile": {
"appId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userProfileAttributeKey": "<string>"
},
"displayName": "<string>"
}
]
}UserAttributeMappings
List Attribute Types
List the well-known and custom user attribute types available for configuring mappings.
GET
/
api
/
v1
/
user-attribute-types
List Attribute Types
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Response
200 - application/json
Successful response
The UserAttributeManagementServiceListAttributeTypesResponse message.
The list field.
Show child attributes
Show child attributes
Was this page helpful?